import { createContext } from 'react';
import { CheckboxItem } from '../CheckboxFilter/CheckboxFilter.component';

export type ExportContextType = {
  setAnnotations: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setIncludedCompartmentPathways: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  setExcludedCompartmentPathways: React.Dispatch<React.SetStateAction<CheckboxItem[]>>;
  handleDownloadElements: () => void;
  handleDownloadNetwork: () => void;
};

export const ExportContext = createContext<ExportContextType>({
  setAnnotations: () => {},
  setIncludedCompartmentPathways: () => {},
  setExcludedCompartmentPathways: () => {},
  handleDownloadElements: () => {},
  handleDownloadNetwork: () => {},
});
